﻿@model IEnumerable<DomainClass.P_Info>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>اطلاعات شخصی</h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", MVC.P_Info.Create(), new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>
            شماره ملی
            @Html.DisplayNameFor(model => model.User.UserName)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Lname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Fname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ShMeli)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FaName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ShSh)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Jensiat)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Lname)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Fname)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ShMeli)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FaName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.BDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ShSh)
        </td>
        <td>
            @Html.EnumDisplay(item.Jensiat)
            @*@Html.DisplayFor(modelItem => item.Jensiat)*@
        </td>
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>
